# -*- coding: utf-8 -*-

from jinja2.ext import Extension

from jinja2_filters import slugfy, upper_camel_case, lower_camel_case


class StringExtension(Extension):
    """
    To import in cookiecutter.json:

    {
        ...,
        "_extensions": [ "jinja2_extentions.StringExtension"]
    }
    """
    def __init__(self, environment):
        super(StringExtension, self).__init__(environment)
        environment.filters['slugfy'] = slugfy
        environment.filters['upper_camel_case'] = upper_camel_case
        environment.filters['lower_camel_case'] = lower_camel_case
